Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000535Dwarf FortressDwarf Mode -- Militarypublic2010-04-05 15:552015-12-18 12:54
ReporterDiomedesRex 
Assigned ToToady One 
PriorityhighSeveritymajorReproducibilitysometimes
StatusacknowledgedResolutionopen 
PlatformToshiba Satellite, Gaming LaptopOSWindowsOS Version7
Product Version0.31.01 
Target VersionFixed in Version 
Summary0000535: Equipping weapons/armor on military is erratic
DescriptionOnly by starting a dwarf with one level of woodcutter (thereby making him start with an axe in hand) could I ensure that he would be an axedwarf when activated.
Steps To Reproducebring a spare axe on the embark screen, turn any dwarf into an axedwarf. Watch as he practices wrestling instead of picking up his axe (which is clearly part of his uniform)
TagsEquipment, Military, refuse to equip, training, Uniform
Attached Files

- Relationships
related to 0001445confirmedDwarfu Weapon Racks do nothing. 
parent of 0000617resolvedFootkerchief Material preference on military dwarves doesn't work correctly. 
parent of 0000422resolvedFootkerchief Some available weapons don't show up in uniform/equipment 
parent of 0000501resolvedToady One Military dwarfs drop equipment because traders have better 
parent of 0000417new Axedwarf with missing hand wields shield and axe in same hand. 
parent of 0000394resolvedToady One Military dwarf stuck in Pickup Equipment loop 
parent of 0000304resolvedToady One Equipment assignments don't respect handedness (gauntlets) 
parent of 0000648resolvedToady One militarydwarves holding many sets of weapons, shields 
parent of 0000689resolvedToady One All axes seized by military; unable to get an axe to a new woodcutter 
parent of 0000756new Haulers try to store clothing dropped by militia, mass confusion ensues 
parent of 0000774resolvedToady One if a new weapon of a type used by a training squad is crafted, all sqaud members drop thier weapons 
parent of 0000892resolvedToady One Undrafted dwarves keep carrying equipment, soldiers get assigned items being worn by someone else (who refuses to drop them) 
parent of 0001000resolvedToady One Militia commander grabs all new weapons in the same hand. 
parent of 0001161resolvedFootkerchief Soldier fight with training weapons even with real ones equipped 
parent of 0001289resolvedToady One Dwarves given their choice of weapons will choose ones too big to use 
parent of 0000084resolvedToady One Individual choice ranged/melee apparently ignores whether weapon is ranged or melee 
parent of 0001473resolvedFootkerchief Owned items interfere with military assignments 
parent of 0001687resolvedToady One Deleting "individual choice, melee" fails to unassign weapons 
parent of 0000702resolvedToady One Military dwarf is assigned wrong size ("large") armor 
parent of 0002335resolvedToady One Squad equipment permanently unusable after disbanding squad (with save) 
parent of 0000361resolvedToady One Cannot get dwarves to use crossbows properly 
parent of 0000882resolvedFootkerchief On reclaim military won't obtain weapons or armor until arsenal dwarf is assigned 
parent of 0000432resolvedToady One Soldiers do not consistently carry backpacks/flasks/quivers 
parent of 0002369resolvedFootkerchief Large (oversized) equipment still gets assigned to empty squad positions 
parent of 0001302new Civilian dwarves take Squad equipment from Barrack to store it into StockPile 
parent of 0002486resolvedToady One Soldiers don't eat from backpacks while on duty 
parent of 0000267resolvedFootkerchief Assigning material for weapon deletes selection 
parent of 0001827resolvedToady One On military ammo screen, going from "add new item" to "Material" produces crash 
parent of 0001513resolvedLoci Militia with clothing assigned as equipment leave it in piles on the floor randomly 
parent of 0002681resolvedToady One Pri/Assignments broken 
parent of 0002685resolvedToady One After assigning ammo, squad spams "cancels Pickup Equipment: Equipment mismatch" 
parent of 0002687acknowledgedToady One Constant "pickup equipment" cripples military functionality 
parent of 0002721resolvedToady One Melee soldiers in mixed squad try to equip bolts, spam "cancels Pickup Equipment: Equipment mismatch" 
parent of 0002749resolvedToady One Dwarves assign themselves forbiden ammo 
parent of 0002761new With "Replace clothing" turned off, soldier tries to equip breastplate, freezes because he's wearing too much 
parent of 0002888resolvedFootkerchief Military Equipment screen does not reflect actual dwarf inventory 
parent of 0003643new Dead soldier's equipment bugs up 
parent of 0003416resolvedFootkerchief Soldiers repeatedly head to order, then return to stockpile 
parent of 0003824resolvedToady One After disbanding, military dwarves won't put their civilian clothing back on 
parent of 0001986resolvedFootkerchief Military Units strip from their uniforms when given orders to kill. 
parent of 0003859resolvedFootkerchief Military refuses to equip gloves/gauntlets. 
parent of 0004077new Military dwarves leave claimed equipment in the field. 
parent of 0004333resolvedToady One Uniforms with socks sometimes end up on same foot 
parent of 0004389new Military dwarf claims weapon from injured squadmate, weapon now assigned to both dwarves 
parent of 0004932resolvedToady One Dwarves try to equip armor in order of its production instead of in order specified by uniform 
parent of 0004504new Military and civilian dwarves will indefinitly move armor about. 
parent of 0005485resolvedToady One Assigning "specific weapon / armor" doesn't show which items are already assigned. 
has duplicate 0002066closedFootkerchief Military Equipement/Uniforms broken 
has duplicate 0004640resolvedDwarfu Military units will not equip gear 
has duplicate 0002591resolvedFootkerchief Military will not totaly activate 
has duplicate 0006101resolvedLogical2u Military dwarves won't pickup helmets and high boots 
has duplicate 0006105resolvedLogical2u Marksdwarves getting constant equipment mismatches 
has duplicate 0007866resolvedFootkerchief Marksdwarves constant mismatch spam 
related to 0001451confirmedDwarfu Military equipment interferes with civilian equipment (picks/axes/crossbows/quivers) 
related to 0001374new If squad is assigned multiple ammo types, dwarves with "individual choice ranged" carry wrong ammo, and other ammo bugs 
related to 0001674resolvedToady One Dwarves assigned the woodcutting labor won't pick up axes and start cutting 
related to 0001002resolvedToady One Clothes lost by civilian Dwarves while fighting are not put back on. 
related to 0002972resolvedToady One Can't select wooden/bone crossbows in uniform screen 
related to 0001664resolvedToady One Weapons stuck in an enemy's corpse become auto-forbidden even if a dwarf is still wielding the weapon 
related to 0000306resolvedToady One Injured soldier tries to pick up equipment with broken arms- message spam 
related to 0003116new Soldier equipped vial of extract (golden salve) as waterskin, then added alcohol to it 
related to 0004305resolvedFootkerchief Equipment mismatch error message means nothing. 
related to 0001998resolvedToady One Player can't set the more generic uniform options, like "any headgear" 
related to 0005741resolvedToady One Boots don't count as shoes, military gets bad thoughts 
related to 0005812needs feedbackFootkerchief Bigger than average dwarves refuse to equip big weapons 
related to 0002225new Unskilled dwarf prefers to fight with shield instead of axe 
related to 0004855resolvedToady One Weapons/armor of underground civs available on military equipment screen 
related to 0003105new Setting material values to defaul uniforms results in strangeness. 
related to 0000395new Can assign specific uniform items that are already assigned to the same dwarf (or someone else) 
related to 0006039new Soldiers do not replace tattered clothing that is part of a uniform 
related to 0008005assignedFootkerchief Military dwarfs refuse to equip left foot high boot and sometimes sock/uniform bug/active-inactive bug 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0001620)
Aryn (reporter)
2010-04-06 17:27

This renders a good part of the game almost unplayable, as wrestlers are easily dispatched by anything, and even if they survive, they all have smashed toes, so they end up as good as dead because the hospital system is so broken.
(0001669)
Draco18s (reporter)
2010-04-06 21:44

Possible solution to getting items equipped:

Have the items already produced and not hauled when you initially add a dwarf to a squad.

Based on some anecdotal evidence from a friend of mine.
(0001732)
Zas (reporter)
2010-04-07 06:29

It seems possible to assign specific weapons to specific dwarfs through military menu. Thus you can actually assign a weapon to a dwarf. Doesn't make them practice it though.
(0001735)
RiceMunk (reporter)
2010-04-07 06:43

I couldn't get some of my military dorfs to equip weapons even though I knew there were some available. Producing new weapons of the required type seemed to make them equip something at least, though I'm not sure if it was one of the old weapons or the new ones.
(0001740)
SirPenguin (reporter)
2010-04-07 07:33

I once assigned a "specific weapon" to a dwarf, pointing at a short sword I recently bought from the traders. He refused to pick it up despite there being a green checkmark by the item. I then changed it to the more general, "short sword", and watched in amazement as he ran over and picked the sword up.

It is a mystery
(0001741)
Draco18s (reporter)
2010-04-07 07:33

More anecdotal evidence:

"Found what it was! you need an arsenal dwarf when you're over 14 dwarves. Without him, nobody keeps track of weapons, and dwarves need to "sign out" new equipment to pick it up!"

In other words, prior to your first immigration wave, you can't have a working military. I'd find the position in the raws and alter him to be available at 7 dwarves.
(0001750)
Zas (reporter)
2010-04-07 08:45

Well, it kind of makes sense. It would be rather stupid to have an special position of arsenal dwarf or militia when there're only 7 citizens. But, I think, dwarfs should still be able to fend for themselves, otherwise the chances are that you simply wouldn't survive until the first migrant wave, especially if embarking in savage/evil regions.
(0001753)
SirPenguin (reporter)
2010-04-07 08:54

Draco, that's not fully true. Dwarves can sort out equipment prior to his need, though once the position is enabled they seem to forgot how to do anything
(0001761)
Jiri Petru (reporter)
2010-04-07 09:35
edited on: 2010-04-07 16:50

I think they just can't "see" weapons that aren't currently in stockpiles. Or aren't carried. Or something like that.

I have a perfectly functional military in a fort with 30 dwarves and no arsenal dwarf (meaning he isn't available yet).

EDIT: Taking this back, I don't know what I thought. Most of my military doesn't use weapons neither armor and no matter what I do, I can't make them equip more that a few random pieces here and there. 33 dwarves, no arsenal dwarf possible.

(0001964)
DoctorZuber (reporter)
2010-04-07 23:39

0000774 is another related behavior. quite comical too.
(0002007)
Draco18s (reporter)
2010-04-08 06:35

A fort that I abandoned last night (military got slaughtered against the first siege) I had dwarves training with spears.

What was funny was the way they equipped them:

Dwarf 1: Right hand training spear, left hand training spear, right hand iron axe
Dwarf 2: Right hand iron spear, right hand training spear, right hand crossbow
Dwarf 3: Left hand iron spear, right hand training spear, right hand training spear, right hand crossbow

And their training exercise:

Dodging.

And you can't dodge arrows.
(0002334)
Rafal99 (reporter)
2010-04-09 09:27
edited on: 2010-04-09 09:41

So I made screenshots from "Pri/Assignments" page in "Equip" section in Military Screen showing what stuff is assigned to my Militia Commander.

Here is a pic combined from screenshots showing different pages of his equipment:
http://i39.tinypic.com/16bef45.png [^]

All this on a single dwarf!

He has assigned to him:
- 2 war hammers
- 3 shields
- 3 helms
- 1 cap
- 1 wooden breastplate
- 2 mail shirts (iron and wooden)
- 2 leather armor
- 2 greaves (bismuth bronze and wooden)
- 4 high boots (2 steel, 2 leather)
- 5 left gauntlets! (1 iron, 4 bone)
- 5 right gauntlets!
- a flask and a backback

Additionally he actually wields the excess weapons and shields.
Of course all his excess items cannot be used by other dwarves who because of that run into combat naked...

Something is seriously wrong here.

(0002382)
Jiri Petru (reporter)
2010-04-09 12:27

Your commander is at least better that mine who doesn't even wear everything he's been assigned.
(0002531)
tjlaakso (reporter)
2010-04-10 01:39

I assigned new uniforms to a squad (changed "metal armors" to "iron armors") result was that everyone now wears two uniforms, the metal one and the iron one.

Well I guess being protected by two iron mail shirts is better than just one, but how does one fight with two weapons in one hand and two shields in other :)
(0002541)
RiceMunk (reporter)
2010-04-10 02:38

Making the military use the option "replace clothing" in place of wearing it over their current clothing makes them layer their stuff in slightly less crazy ways. Still, it sometimes happens even then.
(0003040)
James.Denholm (reporter)
2010-04-12 07:23

Part of this bug - soldiers simply not equipping weapons - May be related to the pathing bug that is being fixed for 31.03. Just a guess, as dorfs wouldn't equip a weapon if they couldn't path to it, right?
(0003043)
Jiri Petru (reporter)
2010-04-12 07:42
edited on: 2010-04-12 07:42

In my case, dwarves don't equip weapons that are in the same bin as a weapon someone else HAS equipped. There might be a different issue aside from pathfinding.

(0003521)
Zeg (reporter)
2010-04-14 11:25

I'm having all kinds of problems getting stuff onto dwarves. Heres the story.

I formed my first squad, from 5 imigrants who had combat skills. I didn't have my metalsmithing up yet, so I assigned them wooden training swords, which they happily picked up and used.

Then I got around to making armour for them. I assigned that to them and then things started to go wrong. They all dropped the wooden swords and mostly picked up the armour, but according the equip screen 1 dwarf was missing a gauntlet and a boot, and another was missing both gauntlets and both boots. Worse still, on checking the leftover armour, I found that there were actually 5 gauntlets left, so in at least 2 cases the dwarves were reporting wearing gauntlets but not actually having them.

Just before I started assigning the armour, I noticed that they were all only doing individual training (which seems to be another bug, reported elsewhere), so I thought I'd disband the squad and barracks to try and fix that.

But after reforming the squad and reassigning the weapons and armour, none of the dwarves would pick up anything at all (though they did start doing group drills properly). And yes the arsenal dwarf was active and doing his job.

So after several more variations of disbanding, altering orders and barracks, the squad leader finally picked up his stuff, but none of the others. So I went into the equip list one more time and assigned using the specific items list. Now the squad leader and the second dwarf have got thier stuff, but none of the other 3 have anything.

The whole behavior seems pretty random, so I couldn't guess where the problem really is.
(0003586)
Rafal99 (reporter)
2010-04-14 18:32
edited on: 2010-04-14 18:33

I have problems with equipment again. It seems that noone will touch leather or bone armor that is not in a stockpile, and some stuff in bin in stockpile never gets used too.

(0003674)
teethering (reporter)
2010-04-15 07:35

I'm having similar issues as the ones above.

I also would like to add that I can't get hunters/marksdwarves to pick up ammo no matter what I do. I've had it setup in the military menu (as detailed and generic as I could make it, i.e. from just plain bolts for both hunters and marksdwarves to separating bone bolts for training and steel bolts for combat), I've tried leaving it untouched completely, I've tried putting ammo into barracks, I tried keeping it outside. I have piles of bone and steel bolts and not one pack gets picked up by anyone armed with a crossbow and equipped with a quiver, be they hunter or part of a marksdwarf squad.
(0003727)
kaefermelder (reporter)
2010-04-15 11:08
edited on: 2010-04-24 17:46

After fiddling with it quite a bit, i suspect most issues are caused by the arsenal dwarf working so slow. My squad eventually equipped anything i ordered except bolts, and there I maybe lost my temper too early; not all quivers and crossbows that i ordered earlier were yet equipped. I then switched all to axes and that worked.

EDIT: switching from iron and bronze to steel and adding mail shirts and leggins (breastplate and greaves leave unprotected spots) resulted in havoc and much frustration. All dwarves do however wear axes (some two, along with 2 shields)

(0003761)
Rafal99 (reporter)
2010-04-15 15:16
edited on: 2010-04-15 15:19

Well my Arsenal Dwarf works very fast. He is "Preparing Equipment Manifests" whenever I produce some new equipment or "Upgrading Squad Equipment" when I change some equipment in the Military Screen.
He finishes these tasks very fast, then remains idle no matter how much time I give to him, so I assume he thinks his part of the job is finished.
Still many pieces of armor lying on ground are unassigned, while they should be.

Some new problem I noticed:
My Bowdwarf who has equipped Iron Bow grabbed BOLTS to his quiver...
His squad has assigned both wooden and metal, bolts and arrows. I didn't think dwarves are that stupid...

(0003791)
JimboOmega (reporter)
2010-04-15 20:28
edited on: 2010-04-15 20:28

Is there any solution to this besides dumping and reclaiming any extra equipment?

This issue is a major pain.

I have noticed my military loves to grab picks because the militia commander and his best friends have 5 short swords. I wonder what skill they get when training with picks. Mining?!

Anyway as a result my whole economy is slowly grinding to a halt - the higher ups take all the good weapons, the lower ranks (and they are constantly getting slaughtered by goblins) take picks, so the miners can barely mine, and it's all I can do to make weapons to keep the process going, so no armor gets made, so the bowgoblins slaughter my dwarves.

*sigh*.

PS I love this game. (No sarcasm - I do, I love the goblins being a challenge. I just wish I didn't have to micromanage my military equipment so much)

(0003798)
Rafal99 (reporter)
2010-04-15 21:45

>Is there any solution to this besides dumping and reclaiming any extra equipment?

Well this doesn't work at all, they will grab all their extra equipment back once you unforbid it.

The only solution is: remove dwarves from squad, remove squad, remove barracks then recreate everything from scratch and pray they will be less stupid this time.
(0003823)
Jiri Petru (reporter)
2010-04-16 03:30
edited on: 2010-05-02 15:17

DELETED my old workaround, posted a new one a couple of post below.

(0003824)
Jiri Petru (reporter)
2010-04-16 04:08

Or not... further testing shows that's not two handed weapons that are bugged. It's too large weapons - things that dwarves couldn't use in 40d but will try tu use now.

Try the above, but also forbid all pikes, two handed swords, halberds, great axes and mauls. Then ignore the bit about removing shields and see if it works.

Sorry for a confused report, but I'm in work and can't really test it myself. I did the above testing yesterday, but now it occurred to me the cause might in fact be somewhere else.
(0004722)
Rafal99 (reporter)
2010-04-23 09:56

Nice tutorial :)
It should be noted, that you should wait for all the equipment to be hauled into stockpiles before you reform your military. My dwarves ignore a lot of the equipment lying in random places, I think this is the case.
(0004886)
cim (reporter)
2010-04-24 09:13

Rafal99: that would make sense. My weapon/armour stockpiles always have "unusable" turned off, so I don't get the "too large/small weapons/armour" problem and other than picking up a lot more than they need, my dwarves are all sensibly equipped. I'll try switching to "replace" instead of "add" for uniforms and see what happens.
(0004927)
Zeg (reporter)
2010-04-24 15:25
edited on: 2010-04-24 15:40

Okay, so heres part 2 of my long posts...

I was playing a different fort than the one I mentioned above, and starting to equip my first 5 military dwarves with thier iron armour...

And they ended up failing to pick up all thier gauntlets and boots in the exact same quantities as the other fort. Which I thought was strange. So I removed all thier armour and started reassigning it piece by piece and dwarf by dwarf.

They all picked up thier weapon, shield, greaves, breastplate and helm just fine. Now gauntlets... the first 2 dwarves were fine. Assigning gauntlets to the 3rd made the first 2 decide they wanted different gauntlets, but they all ended up with 2 gauntlets each. The 4th dwarf would only pick up one gauntlet, and the 5th wouldn't take any at all.

Then the exact same thing happened with the boots.

It seems that this may not have been as random as I suspected in my previous post. The exact same quantities of armour were failing to get picked up each time, and in two different forts too.

Something seems odd to me about that 'wanting different gauntlets' that the 1st and 2nd dwarves went through... maybe they aren't releasing ownership of them correctly, preventing the 4th and 5th picking them up later... something sticking in the list as it works down the equipment assignments or something...

EDIT (Moments later...): Haha, get this... I re-did the gauntlet equiping, but started with the 5th dwarf... now the 2nd dwarf only has one gauntlet, and the 1st has none. Something is making it so I can only get 7 out of 10 gauntlets and boots onto dwarves, regardless of what order I equip them in.

(0005019)
Todestool (reporter)
2010-04-25 12:19

I embarked with 7 zero-skill dwarves just to give it a try, but assigning mining and wood-cutting labors doesn't make them pick up picks or axes. I made a weapons stockpile, and the tools were moved there, but still no one picked anything up. Making my prospective wood-cutter militia commander and assigning a battle ax also had no effect. When stationed, she picked up the axe, but dropped it back off when taken off-duty.

I'm certain this is part of all the other equipping issues, but does it deserve it's own issue because it refers specifically to civilian equipment?
(0005946)
Chrissi (reporter)
2010-05-02 14:21

I attempted the remove-everything-and-re-assign-everything method to get the army to wear their steel equipment. However, it doesn't work, and I believe there are two reasons:

1) The arsenal dwarf doesn't assign the equipment quickly enough for new militia to go for them first. They go back to attempting to put on whatever they want before they are assigned the uniform, which seems to prevent them from properly picking up the uniform. I have a couple dwarves fully outfitted, but the rest (for seasons) will not fully equip themselves.

2) The arsenal dwarf doesn't seem to do all his work. I have 10 full sets of steel in the equipment stockpile (most of them are just sitting there) and 10 military units assigned a full steel uniform, yet not all of the equipment shows up as assigned on military equipment screen (m, e), months later and with the arsenal dwarf showing up as having "no job". Only some dwarves have been fully assigned their outfits and the others are only partially assigned before the arsenal dwarf stops doing any more assignments.

These are just my theories and observations as to why the workaround isn't working for me. The real problem seems to be that the military prefers their civilian clothing to their assigned uniform and will only take items for body parts that they aren't wearing. Sometimes. I still have military who refuse to pick up a weapon at all, despite a large surplus sitting in the equipment stockpile that I have. Others pick up copper equipment. This is all after doing the workaround procedure outlined above.
(0005948)
Jiri Petru (reporter)
2010-05-02 15:16

Reposting a new and corrected version of my workaround guide. Hope it helps.
Chrissi, did you perchance reclaim the fortress? Reclaim is bugged, you wouldn't be able to use the items that were being used in the old fortress before abandonment.

-----

THE EQUIPMENT GUIDE

There's a couple of bugs that result in you military not using equipment, or using too many equipment. Some dwarves wear no weapons and armor at all, some wear several sets at the same time. Here's what you do if you want to have a functional military:


1. START FROM SCRATCH

Having trouble with equipment? Disband the whole military, remove all commander nobles, delete all barracks. Before you do this, note which dwarves were in the military, because you won't be able to find them after.


2. FORBID UNUSABLE STUFF

Arsenal Dwarf is the guy who assigns equipment to your military. Most problems result from him assigning an armor or weapon that can't be used. Since the Arsenal Dwarf can't assign forbidden stuff, forbidding all unusable stuff is the solution.

Go through your Stocks screen and forbid (f):
- In "weapons" list, all:
----- large daggers
----- two-handed swords
----- pikes
----- halberds
----- great axes
----- mauls
- In armor lists (armor, legwear, headwear, handwear, footwear), forbid:
----- All equipment of "large" or "small" sizes (eg. "large iron helm" or "small leather loincloth")

Then look around your map and forbid all items that can't be reached (eg. that are under water or behind a locked door). You shouldn't have many of those so this shouldn't be a huge bother. You forbid stuff by (d)esignations > (b) set equipment propmt > (f)orbid.


3. FORBID STUFF THAT ISN'T YOURS

For some reason, the Arsenal Dwarf may assign equipment that's being worn by someone else, like invaders. This obviously leads to problems. The solution is to forbid all stuff being worn by both friendlies and unfriendlies. Go through all humanoids on the map (using the "U" screen) that are not under your control. Zoom to them and look in their inventories. Manually forbid all their items one by one (via [i]nventory, select the item, press enter, then [f]). This is a pain in the ass and takes a long time, but you have to do it.

Units should enter your map with all items forbidden, you perhaps you can safely skip this point. But if you've used the re(c)laim designation, you may have unforbidden them. Just make sure that all stuff owned by foreigners is forbidden.


4. REBUILD THE MILITARY NOW

Assign commanders, create squads. Hopefully, all should work perfectly now.

----

FUTURE CONSIDERATIONS

1.
Your dwarves will slowly pick up the assigned equipment by themselves. If you want them to do it quickly, just give them a move order and wait till they finish gathering the stuff.

2.
Whenever you get a bunch of new items (eg. from corpses after battle), go to the stocks screen and forbid all unusable stuff as per 2)

3.
Whenever you get attacked, go through the invaders' inventories and make sure their items are forbidden.

4. (!!!)
Never assign a new uniform to an already equipped dwarf. This leads to the dwarf wearing the new stuff ON TOP of the old. The workaround is to go to the (m)ilitary > (e)quipment > (V)iew assigned stuff and delete all the assigned items of the dwarf first. When his list is empty, you can tell him to use a different uniform.

5.
Never let your arsenal dwarf work while a caravan is present. He has a tendency to assign items that are lying in the trade depot but still belong to the merchants.
(0005952)
Chrissi (reporter)
2010-05-02 15:34
edited on: 2010-05-03 10:51

No, I did not reclaim. Thank you for the guide. I just read it and it isn't anything I haven't already done, so I don't know what's going on.

I'm re-trying it. I disbanded all squads and removed all military-related nobles and unassigned the barracks. Noticing that many of my military dwarves (who are not currently in the military, but I keep track of them by nickname) refuse to drop their civilian clothes, or other dwarves are unwilling to remove them from them. I have dwarves r unning around with every single item of their inventory set to dump (about 10 items, all cloth clothes and etc) with over 10 dwarves able to haul with no jobs, and nobody is taking them. It seems to be the clothing that "belongs" to the person. I am worried that this is interfering with them putting on other equipment.

They are perfectly willing to drop all steel equipment though, so yeah... it's all in the stockpiles and I'm about to try again despite many dwarves being unwilling to drop their civilian clothes.

As an update: it worked a LITTLE better this time. I think I have 1 squad almost fully outfitted, but very few dwarves are willing to pick up steel battle axes (no other weapon equipped), the arsenal dwarf has no job, and a lot of other steel items are still not being worn, mostly breastplates and mail. Setting the squad to be stationed somewhere does not prompt them to put on their outfit. If anyone knows anything that does... please let me know as this is really irritating and makes my army very weak when it should be very strong.

(0006282)
Onasaki91 (reporter)
2010-05-06 09:41

I have problems with equipping dwarves too. Though, I can't really try much of these solutions due to the fact that certain file is crashing constantly for some reason or another.

I wanted marksdwarves, but the idiots wouldn't pick up a crossbow and use it. They wouldn't even /train/.
(0006287)
Jiri Petru (reporter)
2010-05-06 10:30

Marksdwarves don't ever shoot, as far as I know.

Chrissi, is the problem that the dwarves were assigned equipment and won't pick it up, or that they haven't even be assigned gear? You may check this in the military screen - (e)quipment - (P)ri/assignments. If someone got assigned a unique item that you have no copies of (like -<<+Copper Sword+>>-), you can easily track the item down using the stocks screen and look where it is.
(0006533)
Rhenaya (reporter)
2010-05-10 19:17

i used a uniform for my personalized macedrow:

steel helm
silk face veil
and also:
steel breatplate,steel greaves,steel gaunlets,steel high boots,steel shield,steel mace

i embarked with a bronze mace and changed it to steel mace later...

now to the buggy part:
she now holds both a bronze and a steel mace in her right arm, still using only the bronze mace (also it seems blunt weapons wont count for killing skelletals, but thats another thing)
and second: she picked up the steel helmet, and then the face veil, on some occations she will just drop the face veil on the floor, she or some other dwarf will haul it to the goods stockpile, later she will pick it up again
sometimes this get into some sort of "dancing" because pick up the face veil, drop it immediatly, run away a few tiles, turn back, put it into bin, pick it up again, and so on...

this seems to be common behaviour if you use to pieces for same slot, even if they are normally stackable (like a cloak and a breastplate in the uniform)
(0007699)
gruftschreck (reporter)
2010-06-05 00:13

I'm going to do more testing in my upcoming fort. But my experience from my last one is the following:
Odd behaviour comes up if you reassign militia captains. (due to microlag I assigned the wrong dwarf as captain) After altering the noble to the correct dwarf everything seemed to be f*ed up. E.g. my militia captain running around naked, though he has been assigned armor from the arsenal dwarf.
(0007721)
Godmouth (reporter)
2010-06-05 07:42

My dwarves consistently refuse to use pairs of gauntlets and boots of different quality ratings. Can anyone verify this? Or is that intentional (seems ridiculous though)?
Some of them compensate by wearing two of either.
(0007866)
Mawootad (reporter)
2010-06-06 21:42

That reminds me of trying to equip a squad of axedwarves. No matter what I did, they wouldn't equip most of their armor, and one or two of them would always equip two axes in the same hand. Forbidding or giving a dump order did nothing. I had to disband the squad and free the barracks they were training at in order to get them to put down the damn weapons. Luckily, one of my dwarves managed to equip a set of full steel plate and weapons (allowing him to kill 25 goblins and a megabeast without even being injured) so I annihilated by my first ambush, but it was still really annoying.

On a side note, I think the dwarves will actually equip themselves properly if they don't have any orders, aren't assigned a barracks (you'll at least have to free the barracks if you ever assigned the dwarves to train), and are ordered to always wear their uniform while inactive. I know this works if you have a single dwarf (and because very little you'll encounter can actually penetrate steel armor, that's just a nuicance), though I'm not sure if it will work with several.
(0007916)
Toady One (administrator)
2010-06-08 01:10
edited on: 2010-06-08 01:58

I'm getting started on these now. Any saves people have for whatever issue would be useful. I didn't find any looking through many of the child issues. Sometimes it's difficult to reproduce things -- I'm sure I can get some problems to happen easily, but it'll be slow going. Thanks for your help!

edit: I should link dffd.wimbli.com when I mention saves. It is a good place to put them.

I could not get the OP's problem to reproduce, trying the steps listed, in 3 tries. Saves will definitely be useful. The earlier in the process the better, provided the problem still reproduces, since the equipment problems tend to snowball.

(0007950)
gruftschreck (reporter)
2010-06-08 09:44
edited on: 2010-06-08 09:45

since I've not yet come to a reproducable situation triggering this bug I have opened a topic in the forums to get the steps to reproduce the bug with the arsenal dwarf

http://www.bay12forums.com/smf/index.php?topic=58862.0 [^]

(0008048)
gruftschreck (reporter)
2010-06-10 07:07
edited on: 2010-06-10 07:08

one bug (31.05) at least comes from allowing dwarfes to train for some time (they have to switch the training method at least once for the system getting screwed).

I think it will easier to specify the bugs after you have sorted out the training bugs and the militia captain bugs, since these seem to be the most common bug with equipping dwarfes.

I will set up the same thing in 31.06 and upload the save asap

(0008072)
gruftschreck (reporter)
2010-06-10 12:59
edited on: 2010-06-10 13:02

sooo here we go. One of the military related bugs seems to be fixed for 31.06 as the following shows.

I packed all the saves in one archive, only reffering to the subarchives as save1,2,3
can be downloaded from here: http://dffd.wimbli.com/file.php?id=2479 [^]

as noted above some of the bugs seem to be fixed, so maybe only save2 and 3 show something interesting.

I altered the following raws: raw/objects/inorganic_stone_layer.txt by the following:
i replaced all [aquifer] by <aquifer> in order to not generate aquifers. Didn't work as expected, but I found a perfect embark place for this testing anyway.

(save1)
instructions: go to forges with F3, to main halls with F2

1. assign commander
2. assign two captains
3. assign second captain with vacant
4. assign first captain vacant - you'll see the captain positions won't become less - ## 1st bug
5. assign first second captain as first one
6. create squad from first captain with standard metal armor - you'll see the first position is empty - ##think follow up bug from 1st one
7. create squad from second captain with standard metal armor - the now first captain will show up in the first position
8. assign members to the second squad (I've assigned five members to the squad)
9. add defend alert
10. set defend burrow "outside"/sleep in room at will/inactive uniformed/min. 3 dwarves as schedule of the new alert
11. assign the new alert to the squad
12. forge armor for the squad
13. works! - the military screen is bit screwed though - haven't tried what happens if you assign members to squad one, bit this one shouldn't exist anyway (save2)
14. lower the minimum dwarves in the TRAINING/ACTIVE schedule to 3 for the squad
15. create barracks in the prepared room at z-1 (just near the entrance), assign it as training ('t') and sleeping ('z') zone for the second squad
16. set the alert to Active/Training for the second squad
17. let them train for at least a season (training is screwed however, my dvarves where half the time waiting and organizing...)
18. forge weapons for the squad
19. works fine - seems to be fixed in the new version... :o)
20. create waterskins and backbags in the leather works (waterskins appear as flasks and won't be transported to the stockpile...)
21. only some of them get assigned a waterskin by the arsenal dwarf (watch via Pri/Assignments ('P') on the military equipment screen) and you can't assign them manually.
(save3)

hope this helps.

(0008267)
Langdon (reporter)
2010-06-13 04:36
edited on: 2010-06-13 04:37

In my 31.06 game, the arsenal dwarf refuses to see the boatload of decorated armor I already have in stockpiles inside the barracks. I have three squads of four dwarves per squad, and the arsenal dwarf only equipped three out of four dwarves of the first squad properly (as checked using m-e-P under the military screen) and the rest of the squads were only given weapons.

I then ordered the armorsmiths to make several new sets of chainmail, and the arsenal dwarf properly assigned them to each dwarf as soon as they came out of the forges. Eventually, over two game years, I was able to fully equip all three squads using newly-forged equipment (and no large armor or unusable weapons were assigned)

Still, it seems I have a lot of armor equipment sitting in my stockpiles that seem to be "invisible" to the arsenal dwarf when he does Prepare Equipment Manifest. Two guesses as to why:

1) This game was genned on 31.05, and maybe equipment created under 31.05 is missing a flag that makes it usable by the arsenal dwarf's manifest.

2) All the unused armor is decorated (using both Stud with Metal and Decorate with Bone) and somehow decorating armor makes it unusable. The dwarves (notably the first squad that equipped properly when the squads were created) do have some decorated items equipped. Maybe when the smiths took the armor to the forge/workshop to be decorated, it screwed up the arsenal dwarf's manifest somehow?

Anyway, 31.06 military looks pretty viable now (just have to have the patience to let the arsenal dwarf work, use small squads for faster equipping, and make far more armor and weapons than you actually need).

Edit: save is available here: http://dffd.wimbli.com/file.php?id=2499 [^]
if you want to examine the "unusable" armor.

(0008270)
Jiri Petru (reporter)
2010-06-13 04:51

Langdon: Have you perchance reclaimed the fort? Reclaims are bugged and make some items nonfunctional. Otherwise I have no idea.
(0008277)
Langdon (reporter)
2010-06-13 08:42

@Jiri: Nope, not a reclaim.

It is an 11-year-old fort, however, and sometime around year 8 I disbanded old squads and removed all the milita commanders and captains from their positions, undesignated the barracks, and then remade the squads from scratch. Previously I had one squad of ten (of which only three were equipped properly, so I'd lose the other unarmored seven dwarves when an ambush came).

Another guess: 3) items assigned by the arsenal dwarf to my previous ten-man squad were not freed up, and are now unavailable to the current squads. I notice the equipment is assigned by position, and not by dwarf, so it is possible there are "ghost positions" still owning those items.
(0008718)
RusAnon (reporter)
2010-06-19 14:34

.31.07
Most of my military wear 2-3 sets of armor and wield 2-3 axes at once. And they sometimes prefer bronze/silver pieces over steel, while i have excessive amounts of steel stuff stockpiled.
http://static.dollchan.ru/misc/region3.663.win.tbz [^]
(0008800)
hyndis (reporter)
2010-06-20 14:02

Crossposted on the forum, my thoughts on the issue:

"There are even similar issues with mining picks and woodcutting axes.

It seems that dwarves no longer check to see if they should or should not be using a piece of equipment. Previously they would automatically check, and if they were missing something they would go grab it. If they did not need it then they would drop the item.

In 40D, order a dwarf to be a miner. He will automatically pick up a mining pick. If you order another dwarf to dump the mining pick the other dwarf will pick it out of his inventory and take it to your garbage dump.

In 31.XX if you order a dwarf to be a miner first off he may not even notice he needs to pick up a mining pick. (This may have to do with the need for an arsenal dwarf.) If you order that mining pick to be dumped it will still be taken to your garbage stockpile, but that miner never realizes that he is no longer carrying a mining pick, and so will never equip another mining pick.

Also if you remove that skill, in 40D the miner will drop his own mining pick within a few moments. In 31.XX if you turn off mining in his skill listing he will never drop the mining pick.



These problems lead me to believe that there is no longer a periodic check, such as run every X number of steps (doesn't have to be frequent maybe even monthly is frequent enough) where a dwarf looks at his own inventory and checks to see if he should pick something up he needs to equip, or if he should drop something he is no longer required to carry.

This is why you get dwarves wearing 5 pairs of boots but no sword, miners or woodcutters who may or may not pick up their equipment, and on a related note almost certainly why Dwarf Therapist does not work for assigning mining and woodcutting skills. As the dwarves don't periodically check what they should or should not be equipping you can enable the skill but the check never runs, so they never pick up the gear they need.

I'm pretty sure these are all related issues, even though DT not working is not Toady's fault by any means, but the root of the problem is very likely the same."


TLDR: There was probably a background check that ran every so often, like every game day, game week, or some short period of time. Not all the time, just every once in a while. This check would force the dwarf to do inventory on his inventory. This appears to be missing in the 31.XX version.

Also missing in the 31.XX version is the season change blood cleanup. Perhaps these things are related? Both seem like periodic checks by the game, done to maintain and clean things up so that everything runs smoothly.
(0008801)
Sergius (reporter)
2010-06-20 14:09

I played up to version .31.06.

I had a tiny bit of luck doing the following:

- Make a squad, when asked for default uniform choose "no uniform".
- Only add 1 thing at a time, DON'T go around changing the whole uniform preset half a dozen times. Also use specifics (battle axe, etc). If you think it's time for adding armor, maybe do it one piece at a time, don't rush it.
- If someone gets a weapon NEVER CHANGE it. Never remove any bits of equipment from the equipment screen (don't upgrade from leather to plate, for instance).
- Never EVER EVER remove anyone from a squad, not even to put him in another squad. That will lead to extremely Unfun Stuff.
- Training is useless. Kinda. I think. So I don't even touch the alerts, I just make them move somewhere and they enlist automatically, then go back to civilians if I cancel the move order. However, orders to kill, when fulfilled, will make everyone a civilian again if they're not on alert. Ugh. Up to you.
- It may seem like a good idea but whatever you do DON'T USE THE CAPTAIN OF THE GUARD as armed defense. It's no fun when the captain decides to lop your legendary metalsmith's leg off with masterwork steel axe because you forgot to set a cage for justice. Keep him unarmed...
- I tried using my woodcutters as soldiers, thinking I could work around the military issue. It Doesn't Work. When you activate them, they'll drop the current axe. Even if you set them to equip battle axes, they'll drop the one they've been using and try to get another.

It seems to me the problem is some sort of memory leak or whatever. Even if you change the military screen equipment, there's something weird going on in either the arsenal dwarf, or the soldier's brain, that makes him confused FOREVER. I'm not sure if this helps, but consider training the arsenal dwarf temporarily in Management and Bookkeeping in the noble screen.

Also, much more than before, think of any military dwarves as 100% expendable (more than normal dwarves, anyway). This is relevant to this bug because once a dwarf equipment becomes buggy... well... let's say Armok will fix his business eventually.
(0008859)
Orkel2 (reporter)
2010-06-21 06:46
edited on: 2010-06-21 06:53

Sometimes when my armorsmith makes a better quality gauntlet, some soldier will go and pick it up but then only have one gautlet in his hand. The other hand should have a gauntlet, but it doesn't. It can be fixed by removing the gauntlet in the m-e menu and then reassigning it.

(0009155)
Sergius (reporter)
2010-06-26 22:46

Lately I have no problem with this, and I believe someone said the whole retarded behavior started with barracks and setting them to train, even if you remove them later. I haven't set a single barracks on my current game and all the military seem to do ok with their equipment changes. (I still don't change their stuff around, so first I give them a permanent weapon, and only give them plate armor whenever it is available, so I don't have to remove leather armor from the uniform screen).
I also haven't used Uniforms at all (just the "no uniform" option when you create the squad). I give each soldier individually the equipment I want them to use.
(0009516)
toybasher (reporter)
2010-07-02 07:43

I have problems with my militery too, its extremely frustrating as when a goblin ambush comes you cant figure out how to equip themm or let them spar because its buggy and your fortress gets owned.
(0009550)
Quil (reporter)
2010-07-02 18:58

This seems to be the most appropriate place to put this:

Quick observation: For some reason, all of my soldiers are wearing both of their boots on their right foot. I've noticed that in arena mode creatures will also tend to have both items of footwear on the same foot, and (r)emoving and then (w)earing said items will end up with them putting them back on the left foot. I've not tested just how many boots can be put on the left foot, but I'm guessing the game is going "okay, so I have two boots to wear. Where shall I put the first one? Well the right foot has room, so let's put it there. Now for the second one. Well, the right foot still has room, so let's wear that one there too." Rather than the more correct "where shall I wear it, which appendage does NOT have a boot on it?" approach.
(0009631)
Jh00 (reporter)
2010-07-04 15:54

I'm not having problems in .07 and .08 (the ones I tested). The steps I take to form my military is as follows:

1. Create a squad and add dwarves to it.
2. Go to Uniforms, select Metal Armor, hit SHIFT+enter to set it for the whole squad.
2. Build a Weapon Rack in a room with 1 door and set it to "Barracks".
3. Set up the barracks for training, individual equip and squad equip.
4. The end.

I don't even enter the schedule, supplies and ammo menus. My soldiers usually stay training full time. I noticed that the soldiers usually stays content, and rarely ecstatic, but I guess that's because my barracks isn't as royal as my meeting area, where the rest of the dwarves stays.

After some time, given that I have the Arsenal Dwarf, my soldiers slowly start to equip their items. If not, I go to the military screen, manually unequip every armor from every dwarf, close the menu, reopen it and set Uniforms with SHIFT+enter again.

When I order them to attack or stand somewhere, I rarely see the whole squad there, but I presume that's because the missing dwarfs are either sleeping or eating. Other than that, they have never failed me.
(0009813)
smjjames (reporter)
2010-07-08 21:39

Now that the arsenal dwarf is being removed, maybe we should take a second look at this and related bugs?

The arsenal dwarf might not be the cause of the bugs, but if anything, it was probably just making the bugs worse.
(0010330)
AravinS (reporter)
2010-07-15 03:44

Now soldiers pick new armors themselves (if they had their uniform on in equipment screen). At least they pick better one. (My militia commander dumped her finely-crafted steel mail shirt and wore exceptional steel mail shirt).
(0010385)
RabidRabbit (reporter)
2010-07-15 17:46

It's arguably worse now. Without the arsenal dwarf scheduling periodic re-equips, dwarves spend the vast majority of their time standing over stockpiles swapping out gear as long as there are more armor/weapon pieces than your squads need.

This would be much less of a problem if re-equipping didn't have priority over the station and kill orders.
(0010418)
Rafal99 (reporter)
2010-07-16 07:50

It seems that my dwarves occasionally get stuck in upgrading equipment in 0.31.10.
For example a dwarf tried to pick up new, better breastplate while still wearing the old one. It resulted in him standing on the tile with new breastplate, doing nothing, while he had more important stuff to do, like stationing at the gate.
(0010419)
Creidieki (reporter)
2010-07-16 08:28

Rafal99,

If you can get a save file with a dwarf having this problem, uploading it would be really helpful. You can use http://dffd.wimbli.com/ [^] .
(0010452)
Rafal99 (reporter)
2010-07-16 14:57
edited on: 2010-07-16 15:19

Yeah good idea. :)

So I have checked my old saves (about 20 of them) and finally found the one with this bug.
Here it is: http://dffd.wimbli.com/file.php?id=2706 [^]

I am using vanilla DF 0.31.10.

IMPORTANT NOTE: Disable cave-ins before loading. There are some parts of ground floating in the air after my digging so better let them stay there.

The bugged dwarf is Stakud Zegerith (should be on the middle of the screen after loading). He tries to grab exceptional iron helm from the forge, while he still has superior iron helm on his head. Assignments screen shows he is only assigned the better helm, not the one he is wearing. His job also says Station which is wrong, with earlier bugged dwarf it was switching between Station and Pickup Equipment.

Also I am sorry for the mess I have in this fortress, needs more digging before I can move everything to the proper places. ;)

(0010634)
Turtleholmes (reporter)
2010-07-19 07:15

Got my entire fort wiped out by two ambush squads because the arsehole dwarf didn't do his job. Crossbowmen used their crossbows like clubs and hammerdwarves went in naked, wrestling. I think they were trying to sex the goblins to death.

I'm reverting to one of the older versions before DF2010. At least I know that works!
(0010641)
Footkerchief (manager)
2010-07-19 08:24
edited on: 2010-07-19 08:26

Got my entire fort wiped out by two ambush squads because the arsehole dwarf didn't do his job. Crossbowmen used their crossbows like clubs and hammerdwarves went in naked, wrestling. I think they were trying to sex the goblins to death.

I'm reverting to one of the older versions before DF2010. At least I know that works!


31.09+ removed the need for an arsenal dwarf, so it's not his fault. If you didn't already delete your save, it might be helpful to upload it to http://dffd.wimbli.com/ [^]

(0010924)
TomiTapio (reporter)
2010-07-24 11:11

.31.11 and genesis mod: I added crossbow (or indiv.choice ranged) to the default metal uniform. Now they wield shield, weapon, crossbow.
(0010959)
morikal (reporter)
2010-07-25 07:44
edited on: 2010-07-25 08:17

I'm having issues with my military dwarves picking up training equipment...
I have 3 axe dwarves, one non-practice axe (which was immediately grabbed by the squad leader), and 5 or so practice axes, none of which the others will touch.


Oh, and they are sparring anyway--one with the copper battle axe, the other with nothing at all.

I swapped their uniform to equip training axes, and 2 of them (the squad leader and one other) went and fetched training axes. The other one still has nothing in his inventory (I told uniform to replace clothing, and the other items aren't available yet), but he does have a checkmark next to the training axe on his equip screen, even though there isn't one in his inventory.

Setting him to an empty uniform, then back to using training axes, doesn't help--he just gets a checkmark next to training axe, but keeps his empty inventory. (Without moving anywhere)

Save is here, if that would help: http://dffd.wimbli.com/file.php?id=2811 [^]


Undrafting him, then redrafting, causes his job to become "Soldier (cannot follow order)" for a minute, then he goes to combat training, with nothing in his inventory, and a checkmark next to the training axe.

Swapping him to real axes caused him to go pickup equipment.

This made me suspicious, so I looked around, and it turns out the other practice weapons haven't been hauled out of the craftdwarf shop yet. That doesn't explain how he got the checkmark... Once another practice axe was hauled over, I changed him back to practice axes, and he went and swapped without issue (well, he has the practice axe in his inventory... but now shows that 'Soldier: cannot follow order' again...).

So, I guess if the item hasn't been hauled yet, there is some sort of bug where they won't go get it, but will think they have.

(0010962)
smjjames (reporter)
2010-07-25 08:24
edited on: 2010-07-25 08:25

@Morikal: Try updating to .12 .

(0011100)
Orkel2 (reporter)
2010-07-26 13:15

My soldiers sometimes wear only 1 gauntlet instead of 2, even if there are free ones available. Usually happens after I make new, better gauntlets and they auto-update to better equipment.
(0011102)
Rafal99 (reporter)
2010-07-26 13:25

It is because they get assigned two right or two left gauntlets (bug 0000304).
You have to assign them manually specific ones if you want to be sure that they will have both hands protected.
(0011106)
morikal (reporter)
2010-07-26 15:13

@smjjames: That was with .12
(0011467)
dibujante (reporter)
2010-08-03 18:55

Still having issue in .12: dwarves will occasionally drop weapons, walk a few paces, then remember that they dropped their weapon. They even do this during battles.
(0012104)
Beeskee (reporter)
2010-08-26 22:13
edited on: 2010-08-28 10:29

I'm having various issues too. I have hunters in the military, if I tell them to hunt they strip off their already-equipped gear and go hunting with only a crossbow and a quiver. O.o; Same with miners and woodcutters, they don't equip properly. I tried variations on outfits that included their professions weapon, left it as personal preference, or excluded it from the outfit. None seemed to change the results.

Former military dwarfs with equipment will strip off all their gear, clothes included, when removed from a squad. They never seem to get dressed with regular clothes again. I had the uniform set to replace clothing since it included shirt and pants. I couldn't find any way to set a Civilian uniform.


Edit: If I disable the tool-using labor on the military dwarf, they seem to go pick up equipment. But if I re-enable the labor they may strip it off again immediately, or do it as soon as I look away hehe. I tried uniforms which included their tool and ones that didn't include a weapon at all, or left it as their personal preference.


Edit: Save: http://dffd.wimbli.com/file.php?id=3005 [^]

(0012612)
UberNube (reporter)
2010-09-13 07:41

My dwarves seem to be having real problems putting on pairs of boots/gauntlets (they usually only wear one of the pair) and putting on robes. They do the rest of the armour fine, but the robes are simply ignored.

0.31.12 here
(0012619)
hyndis (reporter)
2010-09-13 15:23

Seeing issues with boots/gauntlets in 31.12 as well. About half of them manage to put on both boots and both gauntlets. They do okay.

The other half of the dwarves, for some reason or another I can't figure out (its not lack of boots/gauntlets, I have 100 pairs of each, and 30 military dwarves) some dwarves just refuse to wear armor on both hands or both feet.


Invariably they end up with a stubbed toe and die of infection. :(
(0013314)
Falcon (reporter)
2010-10-11 03:35

The problem seems to be that dwarves don't distinguish between left/right gauntlets when claiming equipment. My dwarves often have two left or right gauntlets claimed, but of course they can't equip both of them.
(0013427)
fredd (reporter)
2010-10-20 11:43

Dealing with the bugged equipment problem, it might just be player error. On the uniform templates, it contains both finished goods, and armor. Since the dwarf in question might be wearing(owned) one of these items already, when the AD assigns him the uniform, the little sucker keeps perpetually swapping out the assigned item, i.e.,with the ones he is already wearing.
 So for example, if Urist is wearing leather gloves as part of his civilian attire,and is assigned a fancy pair of olm leather gloves, he goes crazy swapping them out. The gloves having left/right designations is another problem in itself.
 There is the option to replace clothing with uniform, but I would rather just make a template of a uniform without gloves, then add a pair to the personal equipment of any dwarf not wearing any.

 Remember also, once equipment is assigned to a squad, it cannot be used by another squad. And this includes bolts, for archers. summing it up, just a conflict between civilian clothing, and a uniform.
(0013619)
Falcon (reporter)
2010-11-04 15:24

It happens even when the uniform specifies that no civilian clothing should be worn. The dwarves will have two gauntlets listed in their equipment list under military management, but of course they can't actually equip them if they are both left or right.
(0015621)
Footkerchief (manager)
2011-02-28 21:53

Reminder sent to: Toady One

Hi Toady -- I reorganized the equipment bugs to make this report less of a catchall/wall-of-relationships.

Ammo bugs are now collected at 0001374.

Military/civilian equipment interference bugs are collected at 0001451.

Reports about a strange problem with weapon stockpiles are collected at 0000340.

Hope this helps!
(0016367)
Doradan (reporter)
2011-03-19 08:52

.31.21
Just made a new embark, made my militia commander, archer uniform. He proceeded to go to the armory (since there's no more arsenal dwarf) and equipted no less than three crossbows all in ONE hand before he dumped everything and decided he really wanted to take a nap. Didn't repeat when he woke up though - he picked up some bolts and went to the archery range after that.
(0016649)
tatterdemalian (reporter)
2011-03-26 19:58

As of 31.23, marksdwarves can no longer be ordered to fight, train, or even station. Assigning a soldier any ammo at all results in an endless loop of picking up and putting down equipment, even if the stockpile is in a barracks exclusively assigned to them.
(0016892)
tatterdemalian (reporter)
2011-03-31 15:55

As of 31.25, marksdwarf training and stationing are working erratically. Station orders are followed, but training orders result in only one dwarf in the squad actually traveling to one of three archery ranges and practicing; all other dwarfs in the training squad will stand adjacent to one of the targets with "Soldier (can not follow order)" designation, to the minimum number of soldiers in the scheduled training order (the rest behave as civilians, just like the previous versions). Squad > Kill orders result in the previously mentioned endless loop of picking up ammo and equipment, then immediately storing them in the stockpiles from which they were taken.
(0016898)
Footkerchief (manager)
2011-03-31 17:10

For ammo issues, see 0001374.
For other training issues, see 0000428.

And upload saves! They're much more useful than words alone.
(0017608)
Falcon (reporter)
2011-05-03 07:11

.31.25
Military dwarves sometimes still have trouble equipping multiple pieces of armor on the same bodypart - they only have about a 50% chance of equipping both 2 caps and a helmet.
(0017609)
Rhenaya (reporter)
2011-05-03 09:28

item stacking on same slot should be reworked anyway :x
(0018869)
Rafal99 (reporter)
2011-10-20 17:41

I figured that the dwarves refuse to layer armor properly, because they always equip the earliest produced items first. They should equip them in the order specified in the military screen instead.
I made a bug report about this: 0004932
(0021715)
thvaz (reporter)
2012-03-25 11:19

Someone having problems with this bug yet? I don't think so, I am having none since 34.06. I think the clothes fixes fixed the last remaining issues with military equipping. And I think the problem as described in the summary of this bug is long solved. We should make bug reports more specific about remaining problems with equipping (if they still exist)
(0021726)
Footkerchief (manager)
2012-03-25 19:08

This report is just a container/aggregator for other reports now. The specific problems (child/related issues) may or may not be fixed yet. Notes regarding those reports are welcome.
(0021744)
thvaz (reporter)
2012-03-26 09:39
edited on: 2012-03-26 09:42

I will try to generate saves for most of these bugs to help Toady, but I suspect many of them are already fixed.Some of them will very hard to duplicate it, though.

(0021926)
quintilius (reporter)
2012-03-30 18:12

I did have an interesting issue in .06. I didnt have enough metal boots for the guys in the 'metal' equipped squad to wear... and hadnt made any by the time the carpenters shoes wore out. He wouldnt go get shoes or socks, because there were no metal boots for him to wear 'over' them. I noticed because he was the grumpiest dwarf in the village - and i'd made a dozen shoes specifically to shut him up - so i deleted his metal boots equipment slot and added leather ones - which he grabbed immediately. I waited, but he didnt beeline for socks - and after a while i got tired of waiting so i added socks to his uniform, which he promptly equipped, and became very happy. I only mention it because the lack of armor seemed to impede the replacement of clothing, and i'm not sure if he would have ever gone for socks/shoes - though it's obviously rather anecdotal
(0022370)
Kon (reporter)
2012-04-24 14:38

In 34.07, the listed high boots equipped in Pri/Assignments does not match the high boots being worn according to the inventory 'i' menu. If I assign one high boot from 'm' 'e', only one boot will be equipped as shown in 'i', but Pri/Assignments will list two. If I assign two high boots from 'm' 'e', two boots will be equipped as shown in 'i', but Pri/Assignments will list three.
(0022807)
GoldenShadowGS (reporter)
2012-06-01 20:27

I have discovered a work-around when new or modified squad members will not pick up their equipment. Just go into equipment and reassign uniforms to everyone in every squad. Your entire military force will drop their gear, put it in stockpiles and pick up it back up, getting the correct items.

If you ever have a replacement soldier in a squad that isn't grabbing gear, try this.
(0023544)
MightyRavenDark (reporter)
2012-09-09 20:32

Military is still useless as of 0.34.11. Game is unplayable.
(0023581)
MightyRavenDark (reporter)
2012-09-16 17:59

http://dffd.wimbli.com/file.php?id=6925 [^]

Here's my save.
(0023709)
ag (reporter)
2012-11-09 06:01

Hm, yesterday I had a look in the current version at some uniform code that I knew from 0.31.25, and noticed that some checks appear to have been removed. I expect that is because those checks were not fully correct, and in some cases resulted in uniform items not being equipped.

However, removing them also caused the 'over clothing' uniform to consist of ALL uniform items plus ALL civilian clothing items, without any consideration for permits etc, and without any way for later code to tell which item came from where. Since the actual Pickup Equipment code properly checks limits, I expect that the equipped subset is chosen based on whatever is picked up first; and I guess that is decided by the order of creation of the items.

The net result if my reasoning is correct is that 'over clothing' is almost useless, at least until all of the older clothing rots away, so that all your civilian stuff is newer than the armor.
(0023710)
ag (reporter)
2012-11-10 01:23

After some more thinking, even clothing being newer than armor probably won't help, because when switching from civilian to military the dwarves won't get an order to remove any of the civilian stuff, since it is supposedly all in the uniform.

I also did some poking at that '3 boots' issue by Kon, and found some really weird piece of code. After that I did a test with centaur dwarves and a uniform mandating 4 different types of socks. As I expected from the code, the military screen assigned correspondingly 1, 2, 3 and 4 socks of each type, according to their order in the uniform. The weird thing is that this appears to be intentionally done by that bit of code, but I have no idea why that would ever be desirable. For two-legged creatures, that code would assign 2 items only for the last footwear spec, and just 1 for each of the rest.

The work-around for this boot problem therefore is to ensure that boots are listed _after_ socks or any other footwear in your uniform. Of course, they will be running around in only one sock then, but that's better than only one boot.
(0024702)
ag (reporter)
2014-04-16 11:21
edited on: 2014-04-16 11:22

Recently I confirmed that bug 0002486 (soldiers not eating from backpacks) is fixed, but found another new issue: once they do eat something, they immediately run off to refill their backpack. The same will happen if the flask runs completely dry, but with backpacks they actually try to keep the item count exactly equal to the designated amount and always go to refill.

I think that refilling should really only happen when without a combat order, or shortly after changing to the military uniform. At the very least, it should set the appropriate cooldown timers to avoid running off instantly.

(0026340)
Granite26 (reporter)
2014-07-14 11:23

There's a job priority rewrite coming. I imagine the solution will look something like refilling the pack having a low priority that grows with every missing ration.
(0028904)
Jon-Ace (reporter)
2014-08-12 17:34

Still a huge issue in 40.08
(0028905)
Footkerchief (manager)
2014-08-12 17:39

Reminder sent to: Jon-Ace

Please upload saves to http://dffd.wimbli.com/ [^] and post them at the relevant reports.

- Issue History
Date Modified Username Field Change
2010-04-05 15:55 DiomedesRex New Issue
2010-04-06 10:01 Footkerchief Relationship added parent of 0000617
2010-04-06 10:01 Footkerchief Relationship added parent of 0000422
2010-04-06 10:01 Footkerchief Relationship added parent of 0000501
2010-04-06 10:01 Footkerchief Relationship added parent of 0000417
2010-04-06 10:01 Footkerchief Relationship added parent of 0000394
2010-04-06 10:01 Footkerchief Relationship added parent of 0000304
2010-04-06 12:43 Footkerchief Relationship added parent of 0000648
2010-04-06 12:48 Footkerchief Sticky Issue No => Yes
2010-04-06 17:27 Aryn Note Added: 0001620
2010-04-06 21:44 Draco18s Note Added: 0001669
2010-04-06 22:40 Footkerchief Relationship added parent of 0000689
2010-04-06 22:43 Footkerchief Relationship added parent of 0000678
2010-04-07 06:29 Zas Note Added: 0001732
2010-04-07 06:43 RiceMunk Note Added: 0001735
2010-04-07 07:33 SirPenguin Note Added: 0001740
2010-04-07 07:33 Draco18s Note Added: 0001741
2010-04-07 08:45 Zas Note Added: 0001750
2010-04-07 08:54 SirPenguin Note Added: 0001753
2010-04-07 09:35 Jiri Petru Note Added: 0001761
2010-04-07 16:50 Jiri Petru Note Edited: 0001761 View Revisions
2010-04-07 17:14 Jiri Petru Issue Monitored: Jiri Petru
2010-04-07 19:24 Footkerchief Relationship added parent of 0000756
2010-04-07 23:39 DoctorZuber Note Added: 0001964
2010-04-08 00:24 Footkerchief Relationship added parent of 0000774
2010-04-08 06:35 Draco18s Note Added: 0002007
2010-04-09 09:27 Rafal99 Note Added: 0002334
2010-04-09 09:30 Rafal99 Note Edited: 0002334 View Revisions
2010-04-09 09:32 Rafal99 Issue Monitored: Rafal99
2010-04-09 09:33 Rafal99 Tag Attached: Equipment
2010-04-09 09:33 Rafal99 Tag Attached: Military
2010-04-09 09:41 Rafal99 Note Edited: 0002334 View Revisions
2010-04-09 12:27 Jiri Petru Note Added: 0002382
2010-04-09 13:25 Footkerchief Relationship added parent of 0000892
2010-04-09 18:18 Khym Chanur Issue Monitored: Khym Chanur
2010-04-09 19:55 Bacc Issue Monitored: Bacc
2010-04-09 21:51 bloodystump Issue Monitored: bloodystump
2010-04-10 01:39 tjlaakso Note Added: 0002531
2010-04-10 02:38 RiceMunk Note Added: 0002541
2010-04-11 10:16 Footkerchief Relationship added parent of 0001000
2010-04-11 10:59 Fleischwolff Issue Monitored: Fleischwolff
2010-04-12 07:23 James.Denholm Note Added: 0003040
2010-04-12 07:42 Jiri Petru Note Added: 0003043
2010-04-12 07:42 Jiri Petru Note Edited: 0003043 View Revisions
2010-04-14 11:25 Zeg Note Added: 0003521
2010-04-14 12:31 lord_chaos22000 Issue Monitored: lord_chaos22000
2010-04-14 14:18 Footkerchief Relationship added parent of 0001161
2010-04-14 15:03 Syke Issue Monitored: Syke
2010-04-14 18:32 Rafal99 Note Added: 0003586
2010-04-14 18:33 Rafal99 Note Edited: 0003586 View Revisions
2010-04-15 07:35 teethering Note Added: 0003674
2010-04-15 11:08 kaefermelder Note Added: 0003727
2010-04-15 15:16 Rafal99 Note Added: 0003761
2010-04-15 15:19 Rafal99 Note Edited: 0003761 View Revisions
2010-04-15 20:28 JimboOmega Note Added: 0003791
2010-04-15 20:28 JimboOmega Note Edited: 0003791 View Revisions
2010-04-15 20:28 JimboOmega Note Edited: 0003791 View Revisions
2010-04-15 21:45 Rafal99 Note Added: 0003798
2010-04-15 23:48 Krenn Issue Monitored: Krenn
2010-04-16 03:30 Jiri Petru Note Added: 0003823
2010-04-16 03:36 Jiri Petru Note Edited: 0003823 View Revisions
2010-04-16 04:08 Jiri Petru Note Added: 0003824
2010-04-17 18:21 OzoneGrif Tag Attached: barrak
2010-04-17 18:22 OzoneGrif Tag Detached: barrak
2010-04-18 10:35 Footkerchief Relationship added parent of 0001289
2010-04-18 15:27 maximusfive Issue Monitored: maximusfive
2010-04-19 05:17 yarrrr Issue Monitored: yarrrr
2010-04-19 13:39 Flying Lizard Issue Monitored: Flying Lizard
2010-04-21 12:21 Footkerchief Relationship added parent of 0000084
2010-04-22 17:36 TKTom Issue Monitored: TKTom
2010-04-22 19:20 JimboOmega Issue Monitored: JimboOmega
2010-04-23 09:56 Rafal99 Note Added: 0004722
2010-04-23 10:05 Footkerchief Relationship added parent of 0001451
2010-04-23 10:32 larz334 Issue Monitored: larz334
2010-04-23 14:39 nocash Issue Monitored: nocash
2010-04-23 21:07 Footkerchief Relationship added parent of 0001473
2010-04-24 09:13 cim Note Added: 0004886
2010-04-24 15:25 Zeg Note Added: 0004927
2010-04-24 15:40 Zeg Note Edited: 0004927 View Revisions
2010-04-24 15:44 Zeg Issue Monitored: Zeg
2010-04-24 17:46 kaefermelder Note Edited: 0003727 View Revisions
2010-04-25 12:19 Todestool Note Added: 0005019
2010-05-01 23:21 Footkerchief Relationship added parent of 0001687
2010-05-02 14:21 Chrissi Note Added: 0005946
2010-05-02 15:16 Jiri Petru Note Added: 0005948
2010-05-02 15:17 Jiri Petru Note Edited: 0003823 View Revisions
2010-05-02 15:34 Chrissi Note Added: 0005952
2010-05-03 10:49 Chrissi Note Edited: 0005952 View Revisions
2010-05-03 10:51 Chrissi Note Edited: 0005952 View Revisions
2010-05-05 18:37 EverardXavier Issue Monitored: EverardXavier
2010-05-06 09:41 Onasaki91 Note Added: 0006282
2010-05-06 10:30 Jiri Petru Note Added: 0006287
2010-05-10 19:17 Rhenaya Note Added: 0006533
2010-05-10 19:17 Rhenaya Issue Monitored: Rhenaya
2010-05-11 17:19 EvilGrin Issue Monitored: EvilGrin
2010-05-24 19:21 Footkerchief Relationship added has duplicate 0002066
2010-05-30 09:05 Hieronymous Alloy Issue Monitored: Hieronymous Alloy
2010-06-03 08:53 Cel Issue Monitored: Cel
2010-06-03 13:46 Footkerchief Relationship added parent of 0002143
2010-06-04 17:38 Felblood Issue Monitored: Felblood
2010-06-04 18:55 BlackRogueDreams Issue Monitored: BlackRogueDreams
2010-06-04 21:00 Cardinal Issue Monitored: Cardinal
2010-06-04 21:23 EvilTwin Issue Monitored: EvilTwin
2010-06-05 00:13 gruftschreck Note Added: 0007699
2010-06-05 01:04 kaustic Issue Monitored: kaustic
2010-06-05 07:42 Godmouth Note Added: 0007721
2010-06-05 07:43 Godmouth Issue Monitored: Godmouth
2010-06-05 10:42 Alexei403 Issue Monitored: Alexei403
2010-06-05 11:13 coldguy Issue Monitored: coldguy
2010-06-05 12:16 ChickenLips Issue Monitored: ChickenLips
2010-06-06 09:24 drisher Issue Monitored: drisher
2010-06-06 21:42 Mawootad Note Added: 0007866
2010-06-07 02:26 lucasup Issue Monitored: lucasup
2010-06-07 03:02 snelg Issue Monitored: snelg
2010-06-07 04:06 Kamil Issue Monitored: Kamil
2010-06-08 01:10 Toady One Note Added: 0007916
2010-06-08 01:56 Toady One Assigned To => Toady One
2010-06-08 01:56 Toady One Status new => acknowledged
2010-06-08 01:58 Toady One Note Edited: 0007916 View Revisions
2010-06-08 09:44 gruftschreck Note Added: 0007950
2010-06-08 09:45 gruftschreck Note Edited: 0007950 View Revisions
2010-06-08 09:45 gruftschreck Note Edited: 0007950 View Revisions
2010-06-08 18:44 Footkerchief Relationship added parent of 0001374
2010-06-09 17:49 gavicola Issue Monitored: gavicola
2010-06-10 07:07 gruftschreck Note Added: 0008048
2010-06-10 07:08 gruftschreck Note Edited: 0008048 View Revisions
2010-06-10 12:59 gruftschreck Note Added: 0008072
2010-06-10 13:00 gruftschreck Note Edited: 0008072 View Revisions
2010-06-10 13:02 gruftschreck Note Edited: 0008072 View Revisions
2010-06-10 20:41 Footkerchief Relationship added parent of 0000702
2010-06-13 04:36 Langdon Note Added: 0008267
2010-06-13 04:37 Langdon Note Edited: 0008267 View Revisions
2010-06-13 04:51 Jiri Petru Note Added: 0008270
2010-06-13 08:42 Langdon Note Added: 0008277
2010-06-13 09:01 Langdon Issue Monitored: Langdon
2010-06-13 12:08 Famuran Issue Monitored: Famuran
2010-06-14 09:37 bertolini Issue Monitored: bertolini
2010-06-14 10:06 Conti Issue Monitored: Conti
2010-06-15 06:01 Footkerchief Relationship added parent of 0002335
2010-06-15 06:52 Footkerchief Relationship added parent of 0000361
2010-06-19 13:20 Kanddak Issue Monitored: Kanddak
2010-06-19 14:34 RusAnon Note Added: 0008718
2010-06-20 14:02 hyndis Note Added: 0008800
2010-06-20 14:09 Sergius Note Added: 0008801
2010-06-21 06:46 Orkel2 Note Added: 0008859
2010-06-21 06:53 Orkel2 Note Edited: 0008859 View Revisions
2010-06-21 07:06 Footkerchief Relationship added parent of 0000882
2010-06-21 11:59 Footkerchief Relationship added parent of 0000432
2010-06-22 16:00 Footkerchief Relationship added parent of 0002369
2010-06-22 18:24 Footkerchief Relationship added parent of 0001302
2010-06-25 08:25 Threlicus Issue Monitored: Threlicus
2010-06-25 16:34 Kurik Issue Monitored: Kurik
2010-06-26 22:46 Sergius Note Added: 0009155
2010-06-27 17:49 eatatree Tag Attached: training
2010-06-27 19:38 Footkerchief Relationship added parent of 0002486
2010-06-28 14:32 Footkerchief Relationship added related to 0002498
2010-06-28 16:55 Mauru Issue Monitored: Mauru
2010-06-30 13:15 Footkerchief Relationship added parent of 0000267
2010-07-02 07:43 toybasher Note Added: 0009516
2010-07-02 18:58 Quil Note Added: 0009550
2010-07-03 00:51 s7ev1n Tag Attached: equipped bolt
2010-07-03 00:52 s7ev1n Tag Detached: equipped bolt
2010-07-03 20:09 Blebleman Issue Monitored: Blebleman
2010-07-04 10:45 moosecow Issue Monitored: moosecow
2010-07-04 14:40 Arnos Issue Monitored: Arnos
2010-07-04 15:54 Jh00 Note Added: 0009631
2010-07-05 07:06 xrogaan Issue Monitored: xrogaan
2010-07-06 10:32 Footkerchief Relationship added parent of 0001827
2010-07-07 00:57 Lester Issue Monitored: Lester
2010-07-07 02:09 alexleon Issue Monitored: alexleon
2010-07-08 21:39 smjjames Note Added: 0009813
2010-07-08 22:34 Footkerchief Relationship added parent of 0001513
2010-07-09 11:33 Footkerchief Relationship deleted parent of 0000678
2010-07-10 17:57 Jordix Issue Monitored: Jordix
2010-07-11 09:55 Profligate Issue Monitored: Profligate
2010-07-12 16:23 Footkerchief Relationship deleted related to 0002498
2010-07-13 15:53 Footkerchief Relationship added parent of 0002681
2010-07-13 20:33 Footkerchief Relationship added parent of 0002685
2010-07-15 03:44 AravinS Note Added: 0010330
2010-07-15 08:32 Footkerchief Relationship added parent of 0002625
2010-07-15 08:33 Footkerchief Relationship added parent of 0001496
2010-07-15 08:35 Footkerchief Relationship deleted parent of 0001496
2010-07-15 08:36 Footkerchief Relationship added related to 0000737
2010-07-15 08:45 Footkerchief Relationship added parent of 0002648
2010-07-15 09:43 Footkerchief Relationship added parent of 0002706
2010-07-15 14:13 Footkerchief Relationship added parent of 0002687
2010-07-15 17:46 RabidRabbit Note Added: 0010385
2010-07-16 07:50 Rafal99 Note Added: 0010418
2010-07-16 08:28 Creidieki Note Added: 0010419
2010-07-16 09:01 Footkerchief Relationship added related to 0002127
2010-07-16 09:03 Footkerchief Relationship added related to 0000110
2010-07-16 09:04 Footkerchief Relationship added related to 0001674
2010-07-16 09:04 Footkerchief Relationship deleted related to 0002127
2010-07-16 09:14 Footkerchief Relationship added related to 0000340
2010-07-16 14:57 Rafal99 Note Added: 0010452
2010-07-16 15:19 Rafal99 Note Edited: 0010452 View Revisions
2010-07-16 21:06 Footkerchief Relationship added parent of 0002721
2010-07-16 21:07 Footkerchief Relationship deleted parent of 0002721
2010-07-18 09:29 Footkerchief Relationship added parent of 0002721
2010-07-18 10:15 Footkerchief Relationship added parent of 0002749
2010-07-19 07:08 Footkerchief Relationship added related to 0000712
2010-07-19 07:15 Turtleholmes Note Added: 0010634
2010-07-19 08:24 Footkerchief Note Added: 0010641
2010-07-19 08:26 Footkerchief Note Edited: 0010641 View Revisions
2010-07-19 08:26 Footkerchief Note Edited: 0010641 View Revisions
2010-07-19 11:24 Footkerchief Relationship added parent of 0002761
2010-07-23 07:37 Footkerchief Relationship added parent of 0002127
2010-07-24 11:11 TomiTapio Note Added: 0010924
2010-07-25 07:44 morikal Note Added: 0010959
2010-07-25 07:48 morikal Note Edited: 0010959 View Revisions
2010-07-25 07:55 morikal Note Edited: 0010959 View Revisions
2010-07-25 08:03 morikal Note Edited: 0010959 View Revisions
2010-07-25 08:06 morikal Note Edited: 0010959 View Revisions
2010-07-25 08:11 morikal Note Edited: 0010959 View Revisions
2010-07-25 08:15 morikal Note Edited: 0010959 View Revisions
2010-07-25 08:17 morikal Note Edited: 0010959 View Revisions
2010-07-25 08:17 morikal Note Edited: 0010959 View Revisions
2010-07-25 08:24 smjjames Note Added: 0010962
2010-07-25 08:25 smjjames Note Edited: 0010962 View Revisions
2010-07-25 18:46 Footkerchief Relationship added parent of 0002840
2010-07-26 13:15 Orkel2 Note Added: 0011100
2010-07-26 13:25 Rafal99 Note Added: 0011102
2010-07-26 15:13 morikal Note Added: 0011106
2010-07-29 08:54 Footkerchief Relationship added parent of 0002888
2010-08-01 10:25 Footkerchief Relationship added related to 0001002
2010-08-03 18:55 dibujante Note Added: 0011467
2010-08-06 05:46 Footkerchief Relationship added parent of 0002959
2010-08-14 10:08 Footkerchief Relationship added parent of 0002961
2010-08-18 16:49 Logical2u Relationship added related to 0002972
2010-08-24 22:40 kuketski Issue Monitored: kuketski
2010-08-25 15:33 Footkerchief Relationship added parent of 0003106
2010-08-26 22:07 Beeskee Issue Monitored: Beeskee
2010-08-26 22:13 Beeskee Note Added: 0012104
2010-08-26 22:36 Beeskee Note Edited: 0012104 View Revisions
2010-08-26 22:41 Dwarfu Relationship added parent of 0000680
2010-08-26 22:43 Beeskee Note Edited: 0012104 View Revisions
2010-08-27 02:19 Dwarfu Relationship added parent of 0001613
2010-08-28 10:29 Beeskee Note Edited: 0012104 View Revisions
2010-08-31 12:35 Moonshine Fox Issue Monitored: Moonshine Fox
2010-09-09 07:21 Sfon Issue Monitored: Sfon
2010-09-09 18:55 Naros Issue Monitored: Naros
2010-09-13 07:41 UberNube Note Added: 0012612
2010-09-13 07:43 UberNube Issue Monitored: UberNube
2010-09-13 15:23 hyndis Note Added: 0012619
2010-09-17 07:57 reddit Issue Monitored: reddit
2010-09-28 08:46 schm0 Issue Monitored: schm0
2010-10-11 03:35 Falcon Note Added: 0013314
2010-10-17 02:51 falloutboy778 Issue Monitored: falloutboy778
2010-10-17 05:05 looklistenobserve Tag Attached: Uniform
2010-10-20 11:43 fredd Note Added: 0013427
2010-11-03 14:03 jwest23 Issue Monitored: jwest23
2010-11-04 15:24 Falcon Note Added: 0013619
2010-11-05 13:27 Another Issue Monitored: Another
2010-11-15 13:50 Footkerchief Relationship added parent of 0003455
2010-11-16 13:10 Footkerchief Relationship added parent of 0003643
2010-11-16 13:37 Footkerchief Relationship added parent of 0003416
2010-11-19 03:57 L0master Tag Attached: refuse to equip
2010-11-28 08:47 Footkerchief Relationship added related to 0003747
2010-11-29 18:35 Footkerchief Relationship added related to 0001199
2010-12-02 10:45 Footkerchief Relationship added related to 0001664
2010-12-11 08:50 Footkerchief Relationship added parent of 0003660
2010-12-11 12:57 Footkerchief Relationship added parent of 0003733
2010-12-11 12:57 Footkerchief Relationship deleted parent of 0003660
2010-12-18 09:51 Footkerchief Relationship added parent of 0003824
2010-12-30 13:57 Footkerchief Relationship added parent of 0001986
2011-01-06 08:37 Footkerchief Relationship added parent of 0003859
2011-02-23 07:20 Footkerchief Relationship added parent of 0004062
2011-02-26 18:28 Granite26 Issue Monitored: Granite26
2011-02-26 20:24 madjoe5 Issue Monitored: madjoe5
2011-02-28 08:24 Infiltrator Issue Monitored: Infiltrator
2011-02-28 20:55 Footkerchief Relationship deleted parent of 0002625
2011-02-28 20:55 Footkerchief Relationship deleted parent of 0002648
2011-02-28 20:56 Footkerchief Relationship deleted parent of 0002706
2011-02-28 20:58 Footkerchief Relationship deleted parent of 0002840
2011-02-28 21:01 Footkerchief Relationship deleted parent of 0002961
2011-02-28 21:03 Footkerchief Relationship deleted parent of 0003106
2011-02-28 21:05 Footkerchief Relationship deleted parent of 0003455
2011-02-28 21:06 Footkerchief Relationship deleted related to 0000737
2011-02-28 21:11 Footkerchief Relationship replaced related to 0001374
2011-02-28 21:12 Footkerchief Summary Equipping of weapons on military is erratic at best => Equipping weapons/armor on military fraught with difficulties and erraticness
2011-02-28 21:12 Footkerchief Summary Equipping weapons/armor on military fraught with difficulties and erraticness => Equipping weapons/armor on military is erratic
2011-02-28 21:39 Footkerchief Relationship replaced related to 0001451
2011-02-28 21:39 Footkerchief Relationship deleted parent of 0002143
2011-02-28 21:40 Footkerchief Relationship deleted parent of 0002127
2011-02-28 21:40 Footkerchief Relationship deleted parent of 0000680
2011-02-28 21:41 Footkerchief Relationship deleted parent of 0003733
2011-02-28 21:41 Footkerchief Relationship deleted parent of 0004062
2011-02-28 21:42 Footkerchief Relationship deleted related to 0000110
2011-02-28 21:43 Footkerchief Relationship deleted related to 0000340
2011-02-28 21:43 Footkerchief Relationship deleted related to 0000712
2011-02-28 21:44 Footkerchief Relationship deleted related to 0001199
2011-02-28 21:53 Footkerchief Note Added: 0015621
2011-03-05 06:45 Dwarfu Relationship added parent of 0004077
2011-03-05 07:09 Dwarfu Relationship deleted related to 0003747
2011-03-19 08:52 Doradan Note Added: 0016367
2011-03-21 07:29 Footkerchief Relationship added related to 0000306
2011-03-22 04:13 taeraresh Issue Monitored: taeraresh
2011-03-25 10:42 Footkerchief Relationship added parent of 0004333
2011-03-26 19:58 tatterdemalian Note Added: 0016649
2011-03-30 07:25 Footkerchief Relationship added parent of 0004389
2011-03-31 15:55 tatterdemalian Note Added: 0016892
2011-03-31 17:10 Footkerchief Note Added: 0016898
2011-04-03 23:40 Footkerchief Relationship added parent of 0004442
2011-04-03 23:40 Footkerchief Relationship deleted parent of 0004442
2011-04-04 10:33 Footkerchief Relationship added related to 0003116
2011-04-06 11:05 Footkerchief Relationship added related to 0004305
2011-05-03 07:11 Falcon Note Added: 0017608
2011-05-03 09:28 Rhenaya Note Added: 0017609
2011-08-21 16:13 Dwarfu Relationship added has duplicate 0004640
2011-08-21 16:13 Dwarfu Issue Monitored: mrchinchin25
2011-10-20 17:41 Rafal99 Note Added: 0018869
2011-12-07 09:47 Footkerchief Relationship added parent of 0004932
2012-01-12 16:06 Footkerchief Relationship added parent of 0004504
2012-01-13 10:12 Footkerchief Relationship added has duplicate 0002591
2012-02-26 11:46 Buglist Issue Monitored: Buglist
2012-02-27 18:37 Footkerchief Relationship added parent of 0005485
2012-02-27 18:37 Footkerchief Relationship deleted parent of 0001613
2012-02-29 01:21 kento Issue Monitored: kento
2012-03-01 14:51 Footkerchief Relationship added related to 0001445
2012-03-04 14:15 Footkerchief Relationship added related to 0001998
2012-03-25 11:19 thvaz Note Added: 0021715
2012-03-25 19:08 Footkerchief Note Added: 0021726
2012-03-26 07:52 thvaz Issue Monitored: thvaz
2012-03-26 09:39 thvaz Note Added: 0021744
2012-03-26 09:42 thvaz Note Edited: 0021744 View Revisions
2012-03-27 04:01 Steb Issue Monitored: Steb
2012-03-27 19:47 Footkerchief Relationship deleted parent of 0002959
2012-03-30 18:12 quintilius Note Added: 0021926
2012-04-06 08:39 Domenje Issue Monitored: Domenje
2012-04-23 07:01 Footkerchief Relationship added related to 0005741
2012-04-24 14:38 Kon Note Added: 0022370
2012-04-24 14:39 Kon Issue Monitored: Kon
2012-04-24 16:18 arclance Issue Monitored: arclance
2012-06-01 20:27 GoldenShadowGS Note Added: 0022807
2012-06-02 05:14 kwieland Issue Monitored: kwieland
2012-07-19 08:17 Logical2u Relationship added has duplicate 0006101
2012-07-19 08:18 Logical2u Relationship added has duplicate 0006105
2012-09-04 21:59 MightyRavenDark Note Added: 0023529
2012-09-05 09:31 MightyRavenDark Note Edited: 0023529 View Revisions
2012-09-09 20:31 MightyRavenDark Note Deleted: 0023529
2012-09-09 20:32 MightyRavenDark Note Added: 0023544
2012-09-16 17:59 MightyRavenDark Note Added: 0023581
2012-11-09 06:01 ag Note Added: 0023709
2012-11-10 01:23 ag Note Added: 0023710
2013-09-27 11:19 Footkerchief Relationship added related to 0005812
2013-12-07 04:54 Thundercraft Issue Monitored: Thundercraft
2014-01-21 20:14 Footkerchief Relationship added related to 0002225
2014-01-26 09:24 Footkerchief Relationship added related to 0004855
2014-01-26 09:36 Footkerchief Relationship added related to 0003105
2014-01-26 09:39 Footkerchief Relationship added related to 0000395
2014-03-25 23:32 ag Issue Monitored: ag
2014-04-16 11:21 ag Note Added: 0024702
2014-04-16 11:22 ag Note Edited: 0024702 View Revisions
2014-07-14 11:23 Granite26 Note Added: 0026340
2014-07-14 13:21 Footkerchief Relationship added related to 0006039
2014-08-05 23:23 Dwarfu Relationship added has duplicate 0007866
2014-08-06 03:14 Kirkegaard Issue Monitored: Kirkegaard
2014-08-12 17:34 Jon-Ace Note Added: 0028904
2014-08-12 17:39 Footkerchief Issue Monitored: Jon-Ace
2014-08-12 17:39 Footkerchief Note Added: 0028905
2014-08-12 18:22 4maskwolf Issue Monitored: 4maskwolf
2014-08-14 10:32 Footkerchief Relationship added related to 0008005
2015-01-28 04:55 clanl Issue Monitored: clanl
2015-04-16 15:53 Afghani84 Issue Monitored: Afghani84
2015-12-11 13:33 Calite Issue Monitored: Calite
2015-12-11 13:41 Talvieno Issue Monitored: Talvieno
2015-12-11 14:07 Hedede Issue Monitored: Hedede
2015-12-18 12:54 Kon Issue End Monitor: Kon
2017-06-08 20:48 Huntthetroll Issue Monitored: Huntthetroll


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker